#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		majorver	%(echo %{version} | cut -d '.' -f1).0
%define		sname		%{name}-sparql
#-----------------------------------------------------------------------------
Name		:	tracker
Version		:	3.6.0
Release		:	16.2.0.rel%{?dist}
Summary		:	Tracker is the file indexing and search provider used in the GNOME desktop environment. 

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2.1+
URL		:	https://github.com/GNOME/tracker/tag/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	glib-devel
BuildRequires	:	libsoup2
BuildRequires	:	json-glib
BuildRequires	:	meson
BuildRequires	:	ninja
BuildRequires	:	python3-pygobject
BuildRequires	:	vala
#-----------------------------------------------------------------------------
%description
Tracker is a search engine and that allows the user to find their
data as fast as possible. Users can search for their files and
search for content in their files too.  

Tracker is a semantic data storage for desktop and mobile devices.
racker uses W3C standards for RDF ontologies using Nepomuk with
SPARQL to query and update the data.

Tracker is a central repository of user information, that provides
two big benefits for the desktop; shared data between applications
and information which is relational to other information (for
example: mixing contacts with files, locations, activities and
etc.).

#-----------------------------------------------------------------------------
%files		-f %{name}3.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README.md
%{_bindir}/%{name}3
%{_libexecdir}/%{name}3/*
%{_libexecdir}/%{name}-xdg-portal-3
%{_libdir}/%{name}-3.0/%{name}testutils/tracker-sandbox
%{_libdir}/%{name}-%{majorver}/lib%{name}-*.so*
%{_libdir}/%{name}-%{majorver}/%{name}testutils/*.py
%{_libdir}/%{name}-%{majorver}/%{name}testutils/%{name}-await-file
%{_libdir}/%{name}-%{majorver}/%{name}testutils/await_file/*.py
%{_libdir}/lib%{name}-*-%{majorver}.so.*
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/bash-completion/completions/%{name}3
%{_datadir}/dbus-1/services/org.freedesktop.portal.Tracker.service
%{_datadir}/%{name}3/ontologies/nepomuk/*.{description,ontology}
%{_mandir}/man1/%{name}-*.1.gz
%{_mandir}/man1/%{name}3-*.1.gz

#=============================================================================
%package		devel
Summary		:	Headers for developing programs that will use %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains the static libraries and header files
needed for developing with tracker

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-%{majorver}/lib%{name}-*/%{name}-*.h
%{_libdir}/lib%{name}-*-%{majorver}.so
%{_libdir}/pkgconfig/%{name}-*-%{majorver}.pc
%{_datadir}/gir-1.0/*-%{majorver}.gir
%{_datadir}/vala/vapi/%{name}*-%{majorver}.deps
%{_datadir}/vala/vapi/%{name}*-%{majorver}.vapi

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--buildtype=release				\
	-D docs=false					\
	-D systemd_user_services=false			\
	build

%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja							\
	-C build					\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


DESTDIR=%{buildroot}					\
	ninja						\
	-C build					\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#removing systemd information
#{__rm} -fr %{buildroot}/usr/lib/systemd

%find_lang %{name}3
#-----------------------------------------------------------------------------
%changelog
